ying system call).

     If the optional EXCEPTION_ON_ERROR argument is true, which is the
     default, an exception will be raised if the underlying system call
     returns an error, for example if the file is not found or is not
     readable.  Otherwise, an error will cause `stat' to return `#f'.
     The object returned by a successful call to `stat' can be passed as
     a single parameter to the following procedures, all of which return
     integers:

     stat:dev
          The device containing the file.

     stat:ino
          The file serial number, which distinguishes this file from all
          other files on the same device.

     stat:mode
          The mode of the file.  This includes file type information and
          the file permission bits.  See `stat:type' and `stat:perms'
          below.

     stat:nlink
          The number of hard links to the file.

     stat:uid
          The user ID of the file's owner.

     stat:gid
          The group ID of the file.

     stat:rdev
          Device ID; this entry is defined only for character or block
          special files.

     stat:size
          The size of a regular file in bytes.

     stat:atime
          The last access time for the file.

     stat:mtime
          The last modification time for the file.

     stat:ctime
          The last modification time for the attributes of the file.

     stat:blksize
          The optimal block size for reading or writing the file, in
          bytes.

     stat:blocks
          The amount of disk space that the file occupies measured in
          units of 512 byte blocks.

     In addition, the following procedures return the information from
     stat:mode in a more convenient form:

     stat:type
          A symbol representing the type of file.  Possible values are
          regular, directory, symlink, block-special, char-special,
          fifo, socket and unknown

     stat:perms
          An integer representing the access permission bits.

